%define name netpeek
%define version 0.0.4
%define release 1mdk

Name: %{name} 
Summary: NetPeek is a GUI-based network monitoring and diagnosis tool.
Version: %{version} 
Release: %{release}
Source: http://www.nyerk.com/netpeek-0.0.4.tar.bz2
Group: Applications/System
URL: http://www.nyerk.com/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Packager: Christian Vanguers <cvanguers@multimania.com>

%description
NetPeek is a GUI-based network monitoring and diagnosis tool.  It captures
packets from the local network and displays them to the user in two forms:

   - A short one-line form, similar to that produced by "tcpdump".
   - A long form, detailing all fields in a packet, with explainatory
     comments where necessary.  The display is similar to that produced
     by the commercial EtherPeek program.

%prep
%setup

%build
# tricky/idiot/stupid/chmou/bonzo
if gcc --version|grep 2.95;then
    CFLAGS="$RPM_OPT_FLAGS -fpermissive"  \
    CXXFLAGS="$RPM_OPT_FLAGS -fpermissive" \
    ./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT/
else
    CFLAGS="$RPM_OPT_FLAGS"  \
    CXXFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT/
fi  

make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 src/netpeek $RPM_BUILD_ROOT/usr/bin/

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
        file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc ChangeLog LICENSE LICENSE.html OTHER-LICENSES README README.html
/usr/bin/*


%changelog
* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Christian Vanguers <cvanguers@multimania.com> 

* Fri Dec 08 1999 Christian Vanguers <cvanguers@isaserver.be>
- First RPM done for this tool

